# SourcePath: libmicrohttpd/20100427dev
Summary: a small C library that is supposed to make it easy to run an HTTP server as part of another application.
Name: sony-target-dev-libmicrohttpd
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libmicrohttpd
Version: 0.4.6
Release: 08010004
Source: libmicrohttpd-%{version}.tar.gz
URL: http://www.gnu.org/software/libmicrohttpd/
License: LGPL
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}

%description
libmicrohttpd is a GNU library (part of the GNU project) written in C
that provides a compact API and implementation of an HTTP 1.1 web
server (HTTP 1.0 is also supported).  libmicrohttpd only implements
the HTTP 1.1 protocol.  The main application must still provide the
content.

%package -n %{pkgname}
Summary: a small C library that is supposed to make it easy to run an HTTP server as part of another application.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
libmicrohttpd is a GNU library (part of the GNU project) written in C
that provides a compact API and implementation of an HTTP 1.1 web
server (HTTP 1.0 is also supported).  libmicrohttpd only implements
the HTTP 1.1 protocol.  The main application must still provide the
content.

%prep
%setup -n libmicrohttpd-%{version} -q

%build
%sony_target_dev_setup
%fix_pkg_config
export ac_cv_path_LIBGCRYPT_CONFIG=%{sony_target_dir}%{sony_target_devtool_bin_dir}/libgcrypt-config
export ac_cv_path__libcurl_config=%{sony_target_dir}%{sony_target_devtool_bin_dir}/curl-config
%sony_target_dev_configure --enable-https=no --enable-messages=yes --disable-static 
make


%install
rm -rf ${RPM_BUILD_ROOT}
%sony_target_dev_setup
%sony_target_dev_makeinstall

%demangle_libtool

rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}

# 6.x
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../../..%{sony_target_devtool_lib_dir}/$l \
            ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done


%clean
rm -rf ${RPM_BUILD_ROOT}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_include_dir}/*.h

%{sony_target_dir}%{sony_target_dev_lib_dir}/lib*.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/lib*.so*

%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libmicrohttpd.pc


%changelog
* Fri May 21 2010 Sony Corporation
- Initial build.
